cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/voices/voc_xeh3w54cqvnp" \
--header "xi-api-key: $BREEZE_API_KEY"import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
voice = client.voices.get("voc_xeh3w54cqvnp")
print(voice["voice_id"], voice["name"])import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const voice = await client.voices.get("voc_xeh3w54cqvnp");
console.log(voice.voiceId, voice.name);{
"voice_id": "<string>",
"name": "<string>",
"origin": "<string>",
"voice_type": "<string>",
"settings": {
"guidance_scale": 1
},
"language_code": "af",
"gender": "male",
"age": "child",
"tone": [
"warm"
],
"accent": "american",
"tags": [
"<string>"
],
"is_favorited": false,
"preview_url": "<string>",
"description": "<string>",
"publication_status": "<string>",
"publication_job_id": "<string>",
"publication_error_code": "<string>",
"created_at_unix": 123
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Voices
Get a voice
Get voice metadata by voice_id.
GET
/
v1
/
voices
/
{voice_id}
cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/voices/voc_xeh3w54cqvnp" \
--header "xi-api-key: $BREEZE_API_KEY"import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
voice = client.voices.get("voc_xeh3w54cqvnp")
print(voice["voice_id"], voice["name"])import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const voice = await client.voices.get("voc_xeh3w54cqvnp");
console.log(voice.voiceId, voice.name);{
"voice_id": "<string>",
"name": "<string>",
"origin": "<string>",
"voice_type": "<string>",
"settings": {
"guidance_scale": 1
},
"language_code": "af",
"gender": "male",
"age": "child",
"tone": [
"warm"
],
"accent": "american",
"tags": [
"<string>"
],
"is_favorited": false,
"preview_url": "<string>",
"description": "<string>",
"publication_status": "<string>",
"publication_job_id": "<string>",
"publication_error_code": "<string>",
"created_at_unix": 123
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Continue building
Convert text to speech
Generate speech with this voice.
Get voice settings
Read saved generation settings.
Edit a voice
Edit a voice you can manage.
Authorizations
Breeze Developer API key.
Path Parameters
Voice identifier returned by GET /v1/voices. See List voices.
Response
Voice metadata.
Display name for the authenticated account. A saved public voice uses the personal alias set in Voice Library, when present.
Show child attributes
Show child attributes
Available options:
af, ar, bg, bn, bs, ca, cs, da, de, el, en, es, et, eu, fa, fi, fr, gl, he, hi, hu, id, is, it, ja, kn, ko, lt, mr, ms, ne, nl, no, pl, pt, ro, ru, sk, sl, sq, sv, sw, ta, te, th, tl, tr, uk, ur, vi, zh Available options:
male, female, neutral Available options:
child, young, middle_aged, old Maximum array length:
3Available options:
warm, calm, bright, gentle, energetic, authoritative, sincere, weary, precise, refined, urgent, friendly, articulate, steady, playful, compassionate, reflective, measured, rhythmic, passionate Available options:
american, british, scottish, irish, australian, canadian, us_southern, us_new_york, indian, south_african, russian, japanese, korean, chinese, mandarin_northeastern, mandarin_shaanxi, mandarin_shanghai, mandarin_sichuan, mandarin_henan, mandarin_beijing, mandarin_taiwan, cantonese, mandarin_guangdong, mandarin_yunnan Maximum array length:
20Maximum string length:
128Owner-only publication review state: queued, processing, published, needs_review, failed, or superseded. Null when unavailable.

